%\scrollmode
%\documentclass[dvips,a4paper,twoside]{article}
\documentclass[dvips,a4paper]{article}
\usepackage{graphicx}
%\usepackage{xcolor}

\usepackage{html,htmllist,makeidx,enumerate}
 \usepackage{longtable}
%\usepackage{frames}

%
% use the url.sty package, by  Donald Arseneau <asnd@triumf.ca>
% to typeset email-addresses, URLs and directory paths in LaTeX ...
%
%begin{latexonly}
 \usepackage[dvips,rightbars]{changebar}
 \usepackage{l2hman}
 \usepackage{url}
 \def\email{\begingroup \urlstyle{tt}\Url}
 \def\Email#1{\email{#1}}
% \urldef\onlinedoc\url{http://www-dsed.llnl.gov/files/programs/unix/latex2html/manual/}
 \urldef\onlinedoc\url{http://www-texdev.ics.mq.edu.au/l2h/docs/manual/}
 \urldef\onlinedocRM\url{http://www-texdev.ics.mq.edu.au/l2h/docs/manual/}
 \urldef\EXcolors\url{http://www-texdev.ics.mq.edu.au/l2h/crayola/}
% \urldef\CVSrepos\url{http://cdc-server.cdc.informatik.tu-darmstadt.de/~latex2html/user/}
% \urldef\CVSsite\url{http://cdc-server.cdc.informatik.tu-darmstadt.de/~latex2html/}
% \urldef\CVSlatest\url{http://cdc-server.cdc.informatik.tu-darmstadt.de/~latex2html/l2h-latest.tar.gz}
 \urldef\CVSrepos\url{https://www.github.com/latex2html/latex2html/}
% \urldef\CVSsite\url{http://www.latex2html.org/}
% \urldef\CVSlatest\url{http://saftsack.fs.uni-bayreuth.de/~latex2ht/l2h-latest.tar.gz}
 \urldef\CVSlatest\url{https://www.github.com/latex2html/latex2html/archive/master.zip}
% \urldef\patches\url{http://www-dsed.llnl.gov/files/programs/unix/latex2html/}
 \urldef\patches\url{http://www.latex2html.org/current/}
% \urldef\sourceA\url{http://www-dsed.llnl.gov/files/programs/unix/latex2html/sources/}
 \urldef\sourceA\url{http://www.latex2html.org/current/}
% \urldef\sourceB\url{ftp://ftp.mpn.com/pub/nikos/latex2html-98.1.tar.gz}
 \def\sourceB{\CTANtug\CTANA}
 \urldef\sourceC\url{http://ftp.rzg.mpg.de/pub/software/latex2html/sources/}
 \urldef\CTANtug\url{http://mirrors.ctan.org/}
 \urldef\CTANA\path{support/latex2html}
 \urldef\tugURL\url{http://www.tug.org/}
 \urldef\danteURL\url{http://www.dante.de/}
% \urldef\ListURL\url{http://www.xray.mpe.mpg.de/mailing-lists/latex2html/}
 \urldef\ListURL\url{http://www.tug.org/mailman/listinfo/latex2html/}

%
% These are needed for the Glossary and Index. 
%
\newenvironment{theglossary}{\begin{list}{}{\setlength{\labelwidth}{20pt}%
 \setlength{\leftmargin}{\labelwidth}\setlength\itemindent{-\labelwidth}%
 \setlength\itemsep{0pt}\setlength\parsep{0pt}\rmfamily}}{\end{list}}
\def\dotfill{\leaders\hbox to.6em{\hss .\hss}\hskip 0pt plus  1fill}%
\def\dotfil{\leaders\hbox to.6em{\hss .\hss}\hfil}%
\def\pfill{\unskip~\dotfill\penalty500\strut\nobreak\dotfil~\ignorespaces}%

\newcommand\Glossary[2]{\glossary{#1@#2}}
\newcommand{\gsl}{\textsl}
\newcommand{\indexentry}[2]{\item #1 #2}

%\newcommand{\latextohtml}{\textup{\LaTeX 2\texttt{HTML}}}%

\DeclareRobustCommand\FoilTeX{{\normalfont{\sffamily Foil}\kern-.03em{\rmfamily\TeX}}}
%
% These macros are built-in to LaTeX2HTML:
%
\newcommand{\Xy}{\leavevmode
 \hbox{\kern-.1em X\kern-.3em\lower.4ex\hbox{Y\kern-.15em}}}
\newcommand{\AmSTeX}{\protect\AmS-\protect\TeX{}}
\newcommand{\AmS}{{\protect\AmSfont A\kern-.1667em\lower.5ex\hbox{M}\kern-.125emS}}
\gdef\AmSfont{\usefont{OMS}{cmsy}{m}{n}}

\newcommand{\sameas}[1]{\ (Same as setting: #1)}
\setcounter{footnote}{0}
%end{latexonly}

\begin{imagesonly}
 \usepackage{l2hman}
\end{imagesonly}
%
\begin{htmlonly}
 \def\makeglossary{}
\end{htmlonly}

\input manhtml.tex


% use %sort -f -u manual.idx > manual.index for a primitive index
%
%  NOTE:  You must use LaTeX2e in order to process this document
%       If you do not have LaTeX2e, a PostScript version
%       (manual.ps) is included with this distribution.
%
%%%%%%%%%%%%%%%%%%% No changes beyond this point %%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\makeindex
\makeglossary
\sloppy
%
\setlength{\textwidth}{5.5in}
%\addtolength{\oddsidemargin}{-1in}
%\addtolength{\evensidemargin}{-1in}
\setlength{\changebarwidth}{1pt}

%
% read own internals for sections/contents before any
% from the segments.
%
%\internal[sections]{}
%\internal[contents]{}

\internal[figure]{O}
\internal[figure]{S}
\internal[figure]{M}
\internal[figure]{H}
\internal[figure]{E}%{F}

\internal[table]{O}
\internal[table]{S}
\internal[table]{M}
\internal[table]{H}
\internal[table]{E}%{F}

\internal[sections]{O}
\internal[sections]{S}
\internal[sections]{M}
\internal[sections]{H}
\internal[sections]{E}%{F}
\internal[sections]{P}
%\internal[sections]{C}

\internal[contents]{O}
\internal[contents]{S}
\internal[contents]{M}
\internal[contents]{H}
\internal[contents]{E}%{F}
\internal[contents]{P}
%\internal[contents]{C}


\internal[internals]{O}
\internal[internals]{S}
\internal[internals]{M}
\internal[internals]{H}
\internal[internals]{E}%{F}
\internal[internals]{P}
%\internal[internals]{C}

%\internal[index]{O}
%\internal[index]{S}
%\internal[index]{M}
%\internal[index]{H}
%\internal[index]{E}%{F}
%\internal[index]{P}
%%\internal[index]{C}


\begin{document}
\sloppy
%
%  TITLE-PAGE 
%
\Glossary{latex2html}{\LaTeX2HTML}{}
\title{The \LaTeX2HTML{} Translator}
\author{}
\date{\today}
\maketitle 


%
%  for printed version only
%
\begin{latexonly}

This document accompanies \latextohtml{} version 2021.


\paragraph{History}
\NikosDrakos' original manuscript was updated for version \textsc{v96.1}\,%,
by \HerbSwan\ and converted for \LaTeXe{} by \Goossens.
Extensive revisions were made by \RossMoore\ for \textsc{v96.1} \texttt{rev-f}, 
incorporating also suggestions from \Goossens.
Another major revision was required to adequately describe the new features 
made possible with \texttt{HTML} 3.2\,,
and recent developments in image-generation and macro-handling.
This work was done by \RossMoore, 
as were most of the revisions for \textsc{v98.1}, \textsc{v98.2}
and \textsc{v99.1}.

Portability for non-Unix systems has been achieved due to work done mainly by
\Rouchal, \Wortmann, \Popineau{} and \Taupin.

\Glossary{latex2e}{\LaTeXe}%
\end{latexonly}

%
%  for HTML version only
%
\begin{htmlonly}
\end{htmlonly}

\latex{\newpage\vglue1pt\vfil}
%
%
%  ABSTRACT
%
\Glossary{latex}{\LaTeX}{}%
\Glossary{perl}{\textsl{Perl}}{}%
\glossary{HTML}%
\begin{abstract}%
\latextohtml{} is a conversion tool that allows documents
written in \LaTeX{}  to become part of the World-Wide Web.
In addition, it offers an easy migration path towards
authoring complex hyper-media documents using
familiar word-processing concepts, including the power of a \LaTeX-like
macro language capable of producing correctly structured \texttt{HTML} tags.

\latextohtml{} replicates the basic structure of a \LaTeX{}  document 
as a set of interconnected \texttt{HTML} files which can be explored using
automatically generated navigation panels. 
The cross-references, citations, footnotes, the table-of-contents and the lists
of figures and tables, are also translated into hypertext links. Formatting
information which has equivalent ``tags'' in \texttt{HTML} 
(lists, quotes, paragraph-breaks, type-styles, etc.) 
is also converted appropriately. 
The remaining heavily formatted items
such as mathematical equations, pictures etc. are converted to images
which are placed automatically at the correct position in the
final \texttt{HTML} document.

\latextohtml{} extends \LaTeX{}  by supporting arbitrary hypertext links 
and symbolic cross-references between evolving 
remote documents. It also allows the specification
of \emph{conditional text} and the inclusion of raw \texttt{HTML} commands.
These hyper-media extensions to \LaTeX{}  are available as 
new commands and environments from within a \LaTeX{}  document.

This document presents the main features of \latextohtml{} and
describes how to obtain and install it, and how to use it effectively.
\end{abstract}


%
%  CREDITS
%
\latex{\pagenumbering{roman}}

%
%  CONTENTS, 
%  Lists of figures, tables
%
\clearpage
\tableofcontents
\clearpage
\listoffigures
\listoftables
\clearpage


%
%  MAIN MANUAL
%

%begin{latexonly}
\cleardoublepage
\pagenumbering{arabic}\setcounter{page}{1}
%end{latexonly}

\relax   %% this is important, else the next segment doesn't get processed

%%% START XTRACTFAQ (END is somewhere within that segment)
\input{overview.tex}
%%% START XTRACTFAQ
\input{support.tex}
%%% END XTRACTFAQ
\input{features.tex}
\input{hypextra.tex}
\input{userman.tex}
%%% START XTRACTFAQ
\input{problems.tex}
%%% END XTRACTFAQ

%\segment{changes}{section}{Changes from Previous Versions
% \protect\label{sec:chg}\protect\index{changes|(}}

%
%  CHANGES
%
%\begin{htmlonly}
%\relax   %% this is important, else the next section doesn't get handled correctly
%\section{Changes from Previous Versions}
%\input{changes.tex}
%\end{htmlonly}

\endsegment[section]

\clearpage\input{credits.tex}
\clearpage\input{licence.tex}

%%% START XTRACTFAQ
%
%  BIBLIOGRAPHY
%
\bibliographystyle{plain}
\newcommand{\AddWes}{Addison--Wesley}
\begin{thebibliography}{1}\label{biblio}

\index{LaTeX blue book@\LaTeX{} blue book!Leslie Lamport}%
\bibitem{lamp:latex}
Leslie Lamport,
\newblock \LaTeX,\textit{A Document Preparation System}.
 User's Guide \& Reference Manual, 2nd edition.
\newblock ISBN 0-201-52983-1, Paperback 256 pages, 
 \AddWes, 1994.
\newblock Online information on {\TeX} and {\LaTeX} is available at \tugURL\ and~\danteURL~.

%begin{latexonly}
\index{Companion|see{The \LaTeX\hfil Companion}}%
\index{LaTeX Companion@\LaTeX\ Companion|see{~The \LaTeX\\ Companion}}%
\index{The LaTeX Companion@\emph{The {\upshape\LaTeX} Companion}\label{IIIlatcomp}!Goossens--Mittelbach--Samarin}%
%end{latexonly}
\begin{htmlonly}
\index{Companion|see{\htmlref{~The \textup{\LaTeX} Companion}{IIIlatcomp}}}%
\index{LaTeX Companion@\LaTeX\ Companion|see{\htmlref{The \textup{\LaTeX} Companion}{IIIlatcomp}}}%
\index{The LaTeX Companion@The \textup{\LaTeX} Companion\label{IIIlatcomp}!Goossens--Mittelbach--Samarin}%
\end{htmlonly}
\bibitem{goossens:latex}
Michel Goossens, Frank Mittelbach, Alexander Samarin,
\newblock \emph{The }\LaTeX\emph{ Companion}
\newblock ISBN 0-201-54199-8, Paperback 530 pages, \AddWes, 1994.

%begin{latexonly}
\index{Graphics Companion|see{~The~\textup{\LaTeX}\\ Graphics Companion}}%
\index{LaTeX Graphics Companion@\LaTeX\ Graphics Companion|see{~The\\ \textup{\LaTeX} Graphics Companion}}%
\index{The LaTeX Graphics Companion@\emph{The \textup{\LaTeX} Graphics Companion}\label{IIIlatgraph}!Goossens--Rahtz--Mittelbach}%
%end{latexonly}
\begin{htmlonly}
\index{Graphics Companion|see{\htmlref{The \textup{\LaTeX}\latex{\hfil} Graphics Companion}{IIIlatgraph}}}%
\index{LaTeX Graphics Companion@\LaTeX{} Graphics Companion|see{\htmlref{The \textup{\LaTeX}\latex{\hfil} Graphics Companion}{IIIlatgraph}}}%
\index{The LaTeX Graphics Companion@The \textup{\LaTeX} Graphics Companion\label{IIIlatgraph}!Goossens--Rahtz--Mittelbach}%
\end{htmlonly}
\bibitem{goossens:latexGraphics}
Michel Goossens, Sebastian Rahtz and Frank Mittelbach,
\newblock \emph{The }\LaTeX\emph{ Graphics Companion}.
\newblock ISBN 0-201-85469-4, Softcover 608 pages, \AddWes, 1997.

%begin{latexonly}
\index{Web Companion|see{~The~\textup{\LaTeX}\\ Web Companion}}%
\index{LaTeX Web Companion@\LaTeX\ Web Companion|see{~The\\ \textup{\LaTeX} Web Companion}}%
\index{The LaTeX Web Companion@\emph{The \textup{\LaTeX} Web Companion}\label{IIIlatweb}!Rahtz--Goossens et al.}%
%end{latexonly}
\begin{htmlonly}
\index{Graphics Web|see{\htmlref{The \textup{\LaTeX}\latex{\hfil} Web Companion}{IIIlatweb}}}%
\index{LaTeX Web Companion@\LaTeX{} Web Companion|see{\htmlref{The \textup{\LaTeX}\latex{\hfil} Web Companion}{IIIlatweb}}}%
\index{The LaTeX Web Companion@The \textup{\LaTeX} Web Companion\label{IIIlatweb}!Rahtz--Goossens et al.}%
\end{htmlonly}
\bibitem{rahtz:latexWeb}
Michel Goossens and Sebastian Rahtz, with E. Gurari, R. Moore \& R. Sutor.
\newblock \emph{The }\LaTeX\emph{ Web Companion}.
\newblock ISBN 0-201-43311-7, \AddWes, 1999.

\bibitem{drakos:bask}
\NikosDrakos,
\newblock Text to Hypertext conversion with \latextohtml.
\newblock \textit{Baskerville}, December 1993, Vol.\,3, No.\,2, pp 12--15.

\bibitem{drakos:www94}
\NikosDrakos,
\newblock From Text to Hypertext: A Post-Hoc Rationalisation of \latextohtml.
\newblock Published in ``Proceedings of the 1st World Wide Web Conference'',
\newblock May 1994, CERN, Geneva, Switzerland.

\end{thebibliography}
%%% END XTRACTFAQ

%\end{document}

%
%  GLOSSARY
%
% Glossary info stored in:  manual.gls ,  which was created using:
%
%       makeindex -o manual.gls -s l2hglo.ist manual.glo
%       
\begin{latexonly}
\InputIfFileExists{manual.gls}{\clearpage\typeout{^^Jcreating Glossary...}}%
{\typeout{^^JNo Glossary, since  manual.gls  could not be found.^^J}}
\end{latexonly}

\begin{htmlonly}
\section{Glossary of variables and file-names\label{Glossary}}
\begin{htmllist}\htmlitemmark{OrangeBall}
\input l2hfiles.dat
\end{htmllist}
\end{htmlonly}

%
%  INDEX
%
\internal[index]{O}
\internal[index]{S}
\internal[index]{E}
\internal[index]{H}
\internal[index]{M}
\internal[index]{P}
%
% Index info stored in:  manual.ind ,  which was created using:
%
%       makeindex -s l2hidx.ist manual.idx
%
\printindex

%
%  Alphabetization and navigation within the index
%  ...these special index entries must come *after* the  \printindex
%  else half of the hyperlinks will point to the preceding page.
%
\begin{htmlonly}
\newcommand{\indexAlpha}[5]{\index{#1@\htmlref{_}{#2}%
 \htmlref{\HTML{SUB}{\LARGE #3}}{AZ}\htmlref{_}{#4}\label{#5}| }}
%
\indexAlpha{\$}{Z}{\$}{dot}{doll}%
\indexAlpha{.}{doll}{~.~}{A}{dot}%
\indexAlpha{A}{dot}{A}{B}{A}%
\indexAlpha{B}{A}{B}{C}{B}%
\indexAlpha{C}{B}{C}{D}{C}%
\indexAlpha{D}{C}{D}{E}{D}%
\indexAlpha{E}{D}{E}{F}{E}%
\indexAlpha{F}{E}{F}{G}{F}%
\indexAlpha{G}{F}{G}{H}{G}%
\indexAlpha{H}{G}{H}{I}{H}%
%\indexAlpha{I}{H}{I}{J}{I}%
\indexAlpha{I}{H}{I}{L}{I}%
\indexAlpha{J}{I}{J, K}{L}{K}%
%\indexAlpha{J}{I}{J}{K}{J}%
%\indexAlpha{K}{J}{K}{L}{K}%
\indexAlpha{L}{K}{L}{M}{L}%
\indexAlpha{M}{L}{M}{N}{M}%
\indexAlpha{N}{M}{N}{O}{N}%
\indexAlpha{O}{N}{O}{P}{O}%
%\indexAlpha{P}{O}{P}{Q}{P}%
\indexAlpha{P}{O}{P}{R}{P}%
\indexAlpha{Q}{P}{Q, R}{S}{R}%
%\indexAlpha{Q}{P}{Q}{R}{Q}%
%\indexAlpha{R}{Q}{R}{S}{R}%
\indexAlpha{S}{R}{S}{T}{S}%
\indexAlpha{T}{S}{T}{U}{T}%
\indexAlpha{U}{T}{U}{V}{U}%
\indexAlpha{V}{U}{V}{W}{V}%
\indexAlpha{W}{V}{W}{X}{W}%
%\indexAlpha{X}{W}{X}{Y}{X}%
\indexAlpha{X}{W}{X}{Z}{X}%
\indexAlpha{Y}{X}{Y, Z}{doll}{Z}%
%\indexAlpha{Y}{X}{Y}{Z}{Y}%
%\indexAlpha{Z}{Y}{Z}{doll}{Z}%
%
%
%% This is an alphabetical navigation panel.
\index{@\label{AZ}\textbf{\LARGE
\htmlref{\$}{doll} \htmlref{.}{dot} \htmlref{A}{A} 
 \htmlref{B}{B} \htmlref{C}{C} \htmlref{D}{D} \htmlref{E}{E} \htmlref{F}{F}
 \htmlref{G}{G} \htmlref{H}{H} \htmlref{I}{I} \htmlref{J}{K} \htmlref{K}{K}
 \htmlref{L}{L} \htmlref{M}{M} \htmlref{N}{N} \htmlref{O}{O} \htmlref{P}{P}
 \htmlref{Q}{R} \htmlref{R}{R} \htmlref{S}{S} \htmlref{T}{T} \htmlref{U}{U}
 \htmlref{V}{V} \htmlref{W}{W} \htmlref{X}{X} \htmlref{Y}{Z} \htmlref{Z}{Z}}\\
\htmlrule[all]| }

\end{htmlonly}

\end{document}
